Lightroom on Mac OSX 10.6.8

Started 10 months ago | Discussions thread
ForumParentFirstPreviousNextNext unread
Flat view
mikeden
Forum MemberPosts: 51
Like?
Lightroom on Mac OSX 10.6.8
10 months ago

Reviews of Lightroom 5 state that OSX 10.7 and above is required. Adobe website seems to indicate that OSX 10.6.8 is ok.

I have Lightroom 4.4 running on an iMac OSX 10.6.8 with 2.4GHZ Intel Core 2 Duo and 4.0 GB memory. Can anyone tell me if I can upgrade to LR 5. All very confusing, any help appreciated.

Mike

ForumParentFirstPreviousNextNext unread
Flat view
ForumParentFirstPreviousNextNext unread
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark post MMy threads
Color scheme? Blue / Yellow